/*! Copyright © 2010 Apple Inc.  All rights reserved. */

/* CSS definitions and overrides for static HTML pages  */


#StaticBreadcrumb {
    font-family: lucida grande, geneva, helvetica, arial, sans-serif;
    font-size: 10px;
    font-weight: normal;
    margin-left: 10px;
    margin-top: 0px;
}

body#StaticFrame {
    margin: 8px;
}

body#StaticPage {
    margin: 0px;
    padding: 1em;
}

/*  Hide the blank grey bar in static HTML pages  */
#StaticPage #header {
    height: 25px;
}

#StaticPage #headerButtons {
    display:none;
}

#StaticPage #contents {
    top: 61px;
}

#StaticPage #contents.noADC {
    top: 26px;
}

#technical {
margin: 0 2em;
}
    
#technical h1 #pagehead {
margin-top: 1em;
margin-bottom: 0em;
font: 65% 'Lucida Grande', Geneva, Helvetica, Arial, sans-serif;
font-weight: normal;
color: #3c4c6c;
}
    
#technical h1 #pageheadsub {
margin-bottom: 1em;
font: 87% 'Lucida Grande', Geneva, Helvetica, Arial, sans-serif;
font-weight: normal;
color: #000;
}

#technical h2 {
margin-top: 1.5em;
margin-bottom: .85em;
font-size: 170%;
font-weight: normal;
color: #3c4c6c;
padding-bottom: 2px;
border-bottom: 1px solid #5088c5;
}

#technical h3 {
margin-top: 1.5em;
margin-bottom: .35em;
font-size: 120%;
font-weight: normal;
color: #000;
}

#technical h3.gray {
margin-top: 1.5em;
margin-bottom: 1em;
font-size: 130%;
font-weight: normal;
color: #3c4c6c;
}

#technical p {
margin-top: 0em;
margin-bottom: 0.833em;
font: 90% 'Lucida Grande', Geneva, Helvetica, Arial, sans-serif;
line-height: 150%
}
        
#technical .toc {
padding-top: .45em;
padding-right: .75em;
border-top: 1px solid #d6e0e5;
border-left: none;
border-right: none;
border-bottom: 1px solid #d6e0e5;
margin-bottom: 1.75em;
margin-top: -.75em;
}
    
#technical .notebox {
border: 1px solid #5088C5;
background-color: #fff;
margin: .75em 0em 1.5em 0em;
padding: .75em 0.667em .75em 0.750em;
text-align: left;
}
    
#technical  .notebox p {
margin-top: 0em;
margin-bottom: 0em;
}

#technical  .notebox li p {
margin-top: 0em;
margin-bottom: 0em;
}

#technical .graybox {
border-top: 1px solid #9bb3cd;
border-left: 1px solid #9bb3cd;
margin-bottom: 4em;
}
    
#technical .graybox th {
padding: 0.333em 0.667em 0.333em 0.667em;
background: #93A5BB;
font-size: 80%;
font-weight: normal;
color: #fff;
border-bottom: 1px solid #9bb3cd;
border-right: 1px solid #9bb3cd;
}

#technical .graybox th p {
font-weight: bold;
margin-bottom: .33em;
}
    
#technical .graybox td {
padding: 0.667em;
font-size: 80%;
vertical-align: middle;
border-bottom: 1px solid #9bb3cd;
border-right: 1px solid #9bb3cd;
}

#technical code, 
#technical pre {
font-size: 128%;
font-family: Courier, monospace;
color: #666;
}
    
#technical .sourcecodebox {
font-family: Courier, Consolas, monospace;
font-size: 103%;
line-height: 160%;
color: #666;
}
    
#technical ul {
list-style: square outside;
margin: 0 0 0 2.5em;
padding: 0 0 1.0em 0.5em;
}

#technical li {
margin-top: 0.583em;
}
            
#technical li p {
margin-top: 0.667em;
}

#technical li li p {
margin-top: 0.667em;
}
    
#technical ul ul {
list-style: square outside;
margin: 0 0 0 2.5em;
padding: 0 .5em 0em 0.5em;
}

#technical .toc ul {
list-style: none;
padding-top: 0em;
border-top: 1px solid #d6e0e5;
margin-top: 0em;
border-bottom: 1px solid #d6e0e5;
margin-bottom: 0em;
margin-left: 1.5em;
}
    
#technical .toc li {
margin-top: 0.75em;
font-size: 80%;
}

#technical .toc ul ul {
border-top: 0px;
border-bottom: 0px;
margin-left: 1.5em;
}
    
#technical .toc ul ul ul {
border-top: 0px;
border-bottom: 0px;
margin-left: 1.5em;
}
    
#technicalQA {
margin: 0 2em;
}
    
#technicalQA h1 #pagehead {
margin-top: 1em;
margin-bottom: 0em;
font: 65% 'Lucida Grande', Geneva, Helvetica, Arial, sans-serif;
font-weight: normal;
color: #3c4c6c;
}
    
#technicalQA h1 #pageheadsub {
margin-bottom: -.5em;
font: 87% 'Lucida Grande', Geneva, Helvetica, Arial, sans-serif;
font-weight: normal;
color: #000;
}

#technicalQA h2 {
margin-top: 2em;
margin-bottom: 1em;
font-size: 140%;
font-weight: normal;
color: #3c4c6c;
padding-bottom: 2px;
border-bottom: 1px solid #5088c5;
}

#technicalQA h3 {
margin-top: 1.5em;
margin-bottom: .25em;
font-size: 143%;
font-weight: normal;
color: #000;
}

#technicalQA h3.gray {
margin-top: 1.5em;
margin-bottom: 1em;
font-size: 130%;
font-weight: normal;
color: #3c4c6c;
}

#technicalQA p { /* setting the font size here will mess up code blocks <rdar://problem/8207500> Font size for Code Listings in Preview */
margin-top: 0em;
margin-bottom: 0.833em;
line-height: 150%
}
        
#technicalQA .toc {
padding-top: .45em;
padding-right: .75em;
border-top: 1px solid #d6e0e5;
border-left: 0;
border-right: 0;
border-bottom: 1px solid #d6e0e5;
margin-bottom: 1.75em;
margin-top: -.75em;
}
    
#technicalQA ul.toc {
list-style: none;
padding-top: 0em;
border-top: 0em;
margin-top: 0em;
border-bottom: 0px;
margin-bottom: 0em;
margin-left: 1.5em;
}

#technicalQA .notebox {
border: 1px solid #5088C5;
background-color: #fff;
margin: 1.667em 0em 1.5em 0em;
padding: .75em 0.667em .75em 0.750em;
text-align: left;
}
    
#technicalQA  .notebox p {
margin-top: 0em;
margin-bottom: 0em;
}

#technicalQA .graybox {
border-top: 1px solid #9bb3cd;
border-left: 1px solid #9bb3cd;
margin-bottom: 4em;
}
    
#technicalQA .graybox th {
padding: 0.333em 0.667em 0.333em 0.667em;
background: #93A5BB;
font-size: 80%;
font-weight: normal;
color: #fff;
border-bottom: 1px solid #9bb3cd;
border-right: 1px solid #9bb3cd;
}

#technicalQA .graybox th p {
font-weight: bold;
margin-bottom: .33em;
}
    
#technicalQA .graybox td {
padding: 0.667em;
font-size: 80%;
vertical-align: middle;
border-bottom: 1px solid #9bb3cd;
border-right: 1px solid #9bb3cd;
}

#technicalQA .graybox td code, 
#technicalQA .graybox td pre {
padding: 0.667em;
vertical-align: middle;
border-bottom: 1px solid #9bb3cd;
border-right: 1px solid #9bb3cd;
}

#technicalQA table tbody tr td pre code {
font-size: 83%;
}

#technicalQA code, 
#technicalQA pre {
font-size: 108%;
font-family: Courier, monospace;
color: #666;
}
    
#technicalQA .sourcecodebox {
font-family: Courier, Consolas, monospace;
font-size: 90%;
line-height: 140%;
color: #666;
margin: 10px 0 20px 0;
}
    
#technicalQA ul {
list-style: square outside;
margin: 0 0 0 2.5em;
padding: 0 0 1.0em 0.5em;
}

#technicalQA li {
margin-top: 0.583em;
}
            
#technicalQA li p {
margin-top: 0.667em;
}

#technicalQA li li p {
margin-top: 0.667em;
}
    
#technicalQA ul ul {
list-style: square outside;
margin: 0 0 0 2.5em;
padding: 0 .5em 0em 0.5em;
}


/* GLOBAL FOOTER
   Copy/Pasted from devpubs.css -- any changes need to be made in BOTH places
 */
#globalfooter * { margin: 0px; padding: 0px;}
#globalfooter ul { list-style: none outside; }

/*--- Global Footer (legacy) ---*/
#globalfooter .gf-buy { float: left; width: 60%; margin: 18px 0 9px; }
#globalfooter .gf-links { float: right; margin: 18px 0 9px; }
#globalfooter .gf-links a { padding: 0 10px; white-space: nowrap; }
#globalfooter .gf-links a.last { padding-right: 0; _float: none !important; width: auto !important; }
 
/*--- Global Footer ---*/
#globalfooter {color: #888; font-size: 10px; margin: 18px auto; padding-bottom: 36px; text-align: left !important; }
#globalfooter p { margin-bottom: 1em; font-size: 10px; }
#globalfooter p.gf-buy { float: left; width: 60%; margin: 18px 0 9px 3px; }
#globalfooter ul.piped a { padding: 0 0 0 1.5em; margin-left: 1.5em; border-left: 1px solid #d0d0d0; }
#globalfooter .gf-links { float: right; margin: 18px 3px 9px 0; }
#globalfooter .gf-sosumi { clear: both; width: 100%; border-top: 1px solid #ddd; padding-top: 9px; }
#globalfooter .gf-sosumi a { padding: 0 10px; }
#globalfooter .gf-sosumi p { float: left; margin-left: 3px; }
#globalfooter form { margin: 18px 10px; }
#globalfooter .search-wrapper { margin: 0 auto; }
#globalfooter .search-wrapper input.prettysearch { margin-left: 10px; }
#globalfooter ul.piped a.contact_us { padding-right: 1.5em; border-right: 1px solid #d0d0d0; }
#globalfooter ul.piped a.choose { margin-left: 0; border: 0; }
#globalfooter ul.piped a.choose img { vertical-align: middle; margin-top: -5px; position: relative; }
